'use strict';

exports.__esModule = true;

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var stcAdapter = function () {
  function stcAdapter(options, config) {
    (0, _classCallCheck3.default)(this, stcAdapter);

    this.blockStart = options.blockStart || config.tpl.ld[0];
    this.blockEnd = options.blockStart || config.tpl.rd[0];

    this.variableStart = options.variableStart || config.tpl.ld[1];
    this.variableEnd = options.variableEnd || config.tpl.rd[1];

    this.options = options;
    this.config = config;
  }

  stcAdapter.prototype.getLsSupportCode = function getLsSupportCode() {
    var blockStart = this.blockStart;
    var blockEnd = this.blockEnd;


    var nlsCookie = this.options.nlsCookie;

    var data = {};

    data['if'] = blockStart + ' if http.userAgent() and http.userAgent().indexOf("MSIE ") == -1 and not http.cookie("' + nlsCookie + '") ' + blockEnd;
    data['else'] = blockStart + ' else ' + blockEnd;
    data['end'] = blockStart + ' endif ' + blockEnd;

    return data;
  };

  stcAdapter.prototype.getLsConfigCode = function getLsConfigCode(appConfig) {
    var blockStart = this.blockStart;
    var blockEnd = this.blockEnd;


    var configStr = (0, _stringify2.default)(appConfig);

    return blockStart + ' set stc_ls_config = JSON.parse(\'' + configStr + '\') ' + blockEnd;
  };

  stcAdapter.prototype.getLsBaseCode = function getLsBaseCode() {
    var blockStart = this.blockStart;
    var blockEnd = this.blockEnd;


    var name = 'stc_ls_base_flag';

    var data = {};

    data['if'] = blockStart + ' if not http_' + name + ' ' + blockEnd + blockStart + ' set http_' + name + ' = true ' + blockEnd;
    data['end'] = blockStart + ' endif ' + blockEnd;

    return data;
  };

  stcAdapter.prototype.getLsParseCookieCode = function getLsParseCookieCode() {
    var blockStart = this.blockStart;
    var blockEnd = this.blockEnd;


    var lsCookie = this.options.lsCookie;

    var content = [blockStart + ' set stcLsCookieFn = eval(\'think.stcLsCookie = function(http){', 'var stc_ls_cookie = http.cookie("' + lsCookie + '");', 'var stc_cookie_length = stc_ls_cookie.length;', 'var stc_ls_cookies = {};', 'for(var i = 0; i < stc_cookie_length;i += 2) {', 'stc_ls_cookies[stc_ls_cookie[i]] = stc_ls_cookie[i+1];', '}', 'return stc_ls_cookies;', '}\') ' + blockEnd, blockStart + ' set stc_ls_cookies = think.stcLsCookie(http) ' + blockEnd];

    return content.join('');
  };

  stcAdapter.prototype.getLsConditionCode = function getLsConditionCode(lsValue) {
    var blockStart = this.blockStart;
    var blockEnd = this.blockEnd;
    var variableStart = this.variableStart;
    var variableEnd = this.variableEnd;


    var data = {};

    data['if'] = blockStart + ' if stc_ls_config["' + lsValue + '"] and stc_ls_cookies[stc_ls_config["' + lsValue + '"].key] and stc_ls_config["' + lsValue + '"].version == stc_ls_cookies[stc_ls_config["' + lsValue + '"].key] ' + blockEnd;
    data['else'] = blockStart + ' else ' + blockEnd;
    data['end'] = blockStart + ' endif ' + blockEnd;
    data['key'] = variableStart + ' stc_ls_config["' + lsValue + '"]["key"] ' + variableEnd;
    data['version'] = variableStart + ' stc_ls_config["' + lsValue + '"]["version"] ' + variableEnd;

    return data;
  };

  return stcAdapter;
}();

exports.default = stcAdapter;
;
//# sourceMappingURL=index.js.map